Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.komponenten
Class Fortschrittsbalken

    java.lang.Object
      sum.komponenten.Komponente
          sum.komponenten.Fortschrittsbalken

All Implemented Interfaces:
  Serializable

    public class Fortschrittsbalken

extends Komponente
implements Serializable

Ein Fortschrittsbalken ist die Klasse fuer Java-Sliders. Rollbalken reagieren auf die Verschiebung des Reglers mit der Maus.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek, Horst Hildebrecht
See Also:
  Serialized Form

Field Summary

Fields inherited from class sum.komponenten.Komponente
`hatComponent, kenntFenster`

Constructor Summary
`Fortschrittsbalken(double pLinks, double pOben, double pBreite, double pHoehe, int pMinWert, int pMaxWert)` Der Fortschrittsbalken wird erzeugt.
`Fortschrittsbalken(Fenster pFenster, double pLinks, double pOben, double pBreite, double pHoehe, int pMinWert, int pMaxWert)` Der Fortschrittsbalken wird erzeugt.
`Fortschrittsbalken(Fenster pFenster, int pStil, int pMinWert, int pMaxWert)` Der Fortschrittsbalken wird erzeugt.
`Fortschrittsbalken(int pStil, int pMinWert, int pMaxWert)` Der Fortschrittsbalken wird erzeugt.

Method Summary
`int` | `maximum()` Das momentane Maximum des Fortschrittsbalkens wird abgefragt.
`int` | `minimum()` Das momentane Minimum des Fortschrittsbalkens wird abgefragt.
`void` | `setzeMaximum(int pWert)` Der Fortschrittsbalken erhaelt eine neues Maximum.
`void` | `setzeMinimum(int pWert)` Der Fortschrittsbalken erhaelt eine neues Minimum.
`void` | `setzeWert(int pWert)` Der Fortschrittsbalken erhaelt eine neuen aktuellen Wert.
`int` | `wert()` Die momentane Position (Wert) des Fortschrittsbalkens wird abgefragt.

Methods inherited from class sum.komponenten.Komponente
`aktiviere, besitztFokus, breite, deaktiviere, farbe, fokusErhaltenBearbeiter, fokusVerlorenBearbeiter, gibFrei, hoehe, init, istAktiv, istSichtbar, lerneKomponenteKennen, links, oben, setzeBearbeiterFokusErhalten, setzeBearbeiterFokusVerloren, setzeFarbe, setzeFarbe, setzeFokus, setzeFokusWert, setzeGroesse, setzeHinweis, setzePosition, verstecke, zeige`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Fortschrittsbalken

    public Fortschrittsbalken(double pLinks,
                              double pOben,
                              double pBreite,
                              double pHoehe,
                              int pMinWert,
                              int pMaxWert)

  Der Fortschrittsbalken wird erzeugt. Der Minimalwert und Maximalwert sowie Position, Breite und Hoehe werden als Parameter uebergeben. Der Fortschrittsbalken befindet sich auf dem Bildschirm.

  Parameters:
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pMinWert` - der Minimalwert
    `pMaxWert` - der Maximalwert

### Fortschrittsbalken

    public Fortschrittsbalken(Fenster pFenster,
                              double pLinks,
                              double pOben,
                              double pBreite,
                              double pHoehe,
                              int pMinWert,
                              int pMaxWert)

  Der Fortschrittsbalken wird erzeugt. Der Minimalwert und Maximalwert sowie Position, Breite und Hoehe werden als Parameter uebergeben. Der Fortschrittsbalken befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pLinks` - der Abstand der Komponente vom linken Fensterrand
    `pOben` - der Abstand der Komponente vom oberen Fensterrand
    `pBreite` - die Breite der Komponente
    `pHoehe` - die Hoehe der Komponente
    `pMinWert` - der Minimalwert
    `pMaxWert` - der Maximalwert

### Fortschrittsbalken

    public Fortschrittsbalken(Fenster pFenster,
                              int pStil,
                              int pMinWert,
                              int pMaxWert)

  Der Fortschrittsbalken wird erzeugt. Der Stil ist JProgressBar.VERTICAL oder JProgressBar.HORIZONTAL. Ausserdem werden Minimalwert und Maximalwert uebergeben. Position, Breite und Hoehe wird im Anwendungsprogramm festgelegt. Der Fortschrittsbalken befindet sich auf dem Fenster.

  Parameters:
    `pFenster` - das Fenster, das die Komponente enthält
    `pStil` - die Ausrichtung des Forschrittbalken (siehe Klasse Ausrichtung)
    `pMinWert` - der Minimalwert
    `pMaxWert` - der Maximalwert

### Fortschrittsbalken

    public Fortschrittsbalken(int pStil,
                              int pMinWert,
                              int pMaxWert)

  Der Fortschrittsbalken wird erzeugt. Der Stil ist JProgressBar.VERTICAL oder JProgressBar.HORIZONTAL. Ausserdem werden Minimalwert und Maximalwert uebergeben. Position, Breite und Hoehe wird im Anwendungsprogramm festgelegt.

  Parameters:
    `pStil` - die Ausrichtung des Forschrittbalken (siehe Klasse Ausrichtung)
    `pMinWert` - der Minimalwert
    `pMaxWert` - der Maximalwert

Method Detail

### maximum

    public int maximum()

  Das momentane Maximum des Fortschrittsbalkens wird abgefragt.

  Returns:
    das aktuelle Maximum

### minimum

    public int minimum()

  Das momentane Minimum des Fortschrittsbalkens wird abgefragt.

  Returns:
    das aktuelle Minimum

### setzeMaximum

    public void setzeMaximum(int pWert)

  Der Fortschrittsbalken erhaelt eine neues Maximum.

  Parameters:
    `pWert` - das neue Maximum

### setzeMinimum

    public void setzeMinimum(int pWert)

  Der Fortschrittsbalken erhaelt eine neues Minimum.

  Parameters:
    `pWert` - das neue Minimum

### setzeWert

    public void setzeWert(int pWert)

  Der Fortschrittsbalken erhaelt eine neuen aktuellen Wert.

  Parameters:
    `pWert` - der neue Wert des Fortschrittbalkens

### wert

    public int wert()

  Die momentane Position (Wert) des Fortschrittsbalkens wird abgefragt.

  Returns:
    der aktuelle Wert des Fortschrittbalkens

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD